Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jdbc
Class SQLExceptionReader

    java.lang.Object
      org.mule.transport.jdbc.SQLExceptionReader

All Implemented Interfaces:
  ExceptionReader

    public class SQLExceptionReader

extends Object
implements ExceptionReader

Surfaces information about SQLExceptions such as the code and sql state. Also uses the NextException to find the cause

Constructor Summary
`SQLExceptionReader()`

Method Summary
`Throwable` | `getCause(Throwable t)`
`Class<?>` | `getExceptionType()`
`Map<?,?>` | `getInfo(Throwable t)` Returns a map of the non-stanard information stored on the exception
`String` | `getMessage(Throwable t)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLExceptionReader

    public SQLExceptionReader()

Method Detail

### getMessage

    public String getMessage(Throwable t)

  Specified by:
    `getMessage` in interface `ExceptionReader`

### getCause

    public Throwable getCause(Throwable t)

  Specified by:
    `getCause` in interface `ExceptionReader`

### getExceptionType

    public Class<?> getExceptionType()

  Specified by:
    `getExceptionType` in interface `ExceptionReader`

### getInfo

    public Map<?,?> getInfo(Throwable t)

  Returns a map of the non-stanard information stored on the exception

  Specified by:
    `getInfo` in interface `ExceptionReader`
  Parameters:
    `t` - the exception to extract the information from
  Returns:
    a map of the non-stanard information stored on the exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.